Description
Looking for a way to interact with the Fast Travel map.

Here is what | can complete and what | cannot complete.

Step 1: Open up the map. Default key is 'M' (Or click the EQ2 button and click Map)
In the top right hand corner, should be a little icon, that means Fast Travel.
Step 2: Select a location, such as Antonica, then double click, or select it and press Next.
Step 3: Select a location to travel too. Possible locations have the same 'fast travel' icon that was in the top right hand corner.
Looking for a way to read and select where to travel too.
After you select this, you get a confirmation window, confirming you want to go. (For testing, you can just say no to going, as if you
can make it this far the selecting yes is easy).

Only thing | need is step 3. Being able to read the list, then select the one | want.

You can use any character at all, including the one | gave you that you usually test with (Name starts with a G). If you need the
account details again just hit me up.

| fumbled around with eq2uipage, but couldn't get anything worth while. If any of this would help you let me know.

History

#1 - 2017-09-22 11:40 AM - Kannkor
Some additional information

You can access the Fast Travel via /smp pon pon_teleport

| *think* it's in the XML location: mainhud_map2

IE:

${EQ2UIPage[mainhud,map2].Child[page,MapSubGroup](exists)}

Is TRUE, but | can't step any further, everything is NULL/doesn't exist.
Keep in mind, | could wrong on the xml location.

#2 - 2020-01-01 12:45 AM - Amadeus

- Status changed from New to In Progress

- Assignee set to Amadeus

- Priority changed from Normal to Low

- % Done changed from 0 to 30

#3 - 2023-12-28 12:16 AM - Jiimbo

Bumping this to see if there's a possibility to look into traveling to a specific point on the fast travel map when trying to fast travel. hoping that we are
less limited now that everything is on 64 bit. eq2ft4.png

#4 - 2024-01-01 07:26 PM - Amadeus
- Category set to New Feature

- Status changed from In Progress to Implemented

Added with version 20231212.0025
